Gå til indhold
ShopentlyLearn

Rabatter · Hent

Se rabatter.

GET/api/v1/discounts/coupons/{identity}

cURL-anmodning

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url https://shop.onshopently.com/api/v1/discounts/coupons/example-campaign \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

Svar

{
  "data": {
    "created_at": "2026-10-07T10:00:00Z",
    "created_by": {
      "kind": "admin",
      "label": "Editorial integration",
      "reference": "learn-api-key"
    },
    "enabled": false,
    "id": "example-campaign",
    "kind": "coupon",
    "markets": [
      {
        "currency": "PLN",
        "market_id": "poland",
        "minor_units": 0
      }
    ],
    "name": "Autumn guide offer",
    "updated_at": "2026-10-07T10:00:00Z",
    "used_count": 0,
    "version": 1
  },
  "meta": {
    "locale": "example",
    "market_code": "example",
    "market_id": "poland",
    "pagination": {
      "has_more": false,
      "limit": 1,
      "next_cursor": null
    },
    "request_id": "learn-example-request"
  }
}

Nødvendige rettigheder

Godkendelse
Adgangstoken
Tilgængelig fra
STANDARD
Nøglens tilladelse
Se rabatterdiscounts.coupons:read